/// <reference types="node" />
import { VersionBytes } from '../versions';
export interface BitcoinAddressConstructorOptions {
    publicKey: Buffer;
    version?: VersionBytes;
}
export default class BitcoinAddress {
    private _publicKey;
    private _rawAddress?;
    private _address?;
    private _version;
    private constructor();
    static from(publicKey: Buffer, version?: VersionBytes): BitcoinAddress;
    static isValid(_address: string): boolean;
    readonly publicKey: Buffer;
    readonly rawAddress: Buffer;
    readonly address: string;
}
