/// <reference types="node" />
import versions, { VersionBytes } from './versions';
import BitcoinAddress from './BitcoinAddress';
import EthereumAddress from './EthereumAddress';
import HDKey from './HDKey';
import Mnemonic from './Mnemonic';
import util from './util';
export { BitcoinAddress, EthereumAddress, HDKey, Mnemonic, util, VersionBytes, versions };
declare const _default: {
    BitcoinAddress: typeof BitcoinAddress;
    EthereumAddress: typeof EthereumAddress;
    HDKey: typeof HDKey;
    Mnemonic: typeof Mnemonic;
    util: {
        uncompressPublicKey: (publicKey: Buffer) => Buffer;
    };
    versions: {
        bitcoinMain: {
            bip32: {
                public: number;
                private: number;
            };
            public: number;
        };
        bitcoinTest: {
            bip32: {
                public: number;
                private: number;
            };
            public: number;
        };
    };
};
export default _default;
