'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.uncompressPublicKey = uncompressPublicKey;

var _elliptic = require('elliptic');

var _elliptic2 = _interopRequireDefault(_elliptic);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const secp256k1 = new _elliptic2.default.ec('secp256k1');
function uncompressPublicKey(publicKey) {
    const length = publicKey.length;
    const firstByte = publicKey[0];
    if (length !== 33 && length !== 65 || firstByte < 2 || firstByte > 4) {
        throw new Error('invalid public key');
    }
    let key;
    try {
        key = secp256k1.keyFromPublic(publicKey);
    } catch (_err) {
        throw new Error('invalid public key');
    }
    return Buffer.from(key.getPublic().encode());
}
exports.default = {
    uncompressPublicKey
};